ApiEntityStatus (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Enum ApiEntityStatus

- java.lang.Object
- - java.lang.Enum<ApiEntityStatus>
  - - com.cloudera.api.swagger.model.ApiEntityStatus

- All Implemented Interfaces:
    Serializable, Comparable<ApiEntityStatus>

      public enum ApiEntityStatus
      extends Enum<ApiEntityStatus>

  The single value used by the Cloudera Manager UI to represent the status of the entity. It is computed from a variety of other entity-specific states, not all values apply to all entities. For example, STARTING/STOPPING do not apply to a host.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ApiEntityStatus.Adapter`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BAD_HEALTH`
    `CONCERNING_HEALTH`
    `DISABLED_HEALTH`
    `DOWN`
    `GOOD_HEALTH`
    `HISTORY_NOT_AVAILABLE`
    `NONE`
    `STARTING`
    `STOPPED`
    `STOPPING`
    `UNKNOWN`
    `UNKNOWN_HEALTH`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ApiEntityStatus` | `fromValue(String text)`
    `String` | `getValue()`
    `String` | `toString()`
    `static ApiEntityStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ApiEntityStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final ApiEntityStatus UNKNOWN

    - #### NONE

          public static final ApiEntityStatus NONE

    - #### STOPPED

          public static final ApiEntityStatus STOPPED

    - #### DOWN

          public static final ApiEntityStatus DOWN

    - #### UNKNOWN_HEALTH

          public static final ApiEntityStatus UNKNOWN_HEALTH

    - #### DISABLED_HEALTH

          public static final ApiEntityStatus DISABLED_HEALTH

    - #### CONCERNING_HEALTH

          public static final ApiEntityStatus CONCERNING_HEALTH

    - #### BAD_HEALTH

          public static final ApiEntityStatus BAD_HEALTH

    - #### GOOD_HEALTH

          public static final ApiEntityStatus GOOD_HEALTH

    - #### STARTING

          public static final ApiEntityStatus STARTING

    - #### STOPPING

          public static final ApiEntityStatus STOPPING

    - #### HISTORY_NOT_AVAILABLE

          public static final ApiEntityStatus HISTORY_NOT_AVAILABLE

  - ### Method Detail

    - #### values

          public static ApiEntityStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ApiEntityStatus c : ApiEntityStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ApiEntityStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public String getValue()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ApiEntityStatus>`

    - #### fromValue

          public static ApiEntityStatus fromValue(String text)

Copyright © 2022. All rights reserved.